Skip to main content
GET
/
api
/
gen-ai
/
beta
/
endpoints
Get all Gen AI endpoints accessible by the user
curl --request GET \
  --url https://api.example.com/api/gen-ai/beta/endpoints \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "createdAt": "2022-03-12T02:13:44.467Z",
      "creator": {
        "id": "integration test",
        "name": "Full User Name"
      },
      "id": "62313ce67a0af0281c01a6a5",
      "name": "My Endpoint",
      "project": {
        "id": "62313ce67a0af0281c01a6a5",
        "name": "My Project",
        "owner": {
          "id": "integration test",
          "name": "Full User Name"
        }
      },
      "updatedAt": "2022-03-12T02:13:44.467Z",
      "url": "https://cloud-dogfood.domino.tech/endpoint/my-endpoint",
      "vanityUrl": "https://cloud-dogfood.domino.tech/endpoints/my-endpoint",
      "currentVersion": {
        "configuration": {
          "maxNumberOfSequences": 256,
          "servedModelName": "my-model",
          "tensorParallelism": 1,
          "vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
        },
        "createdAt": "2022-03-12T02:13:44.467Z",
        "creator": {
          "id": "integration test",
          "name": "Full User Name"
        },
        "endpointId": "62313ce67a0af0281c01a6a5",
        "environment": {
          "id": "62313ce67a0af0281c01a6a5",
          "name": "My Environment",
          "revisionId": "62313ce67a0af0281c01a6a5"
        },
        "hardwareTier": {
          "dataPlaneId": "62313ce67a0af0281c01a6a5",
          "dataPlaneName": "My Data Plane",
          "id": "62313ce67a0af0281c01a6a5"
        },
        "modelSource": {
          "huggingFace": {
            "commit": "62313ce67a0af0281c01a6a5",
            "path": "my-model",
            "apiToken": "62313ce67a0af0281c01a6a5"
          },
          "registeredModel": {
            "modelName": "RandomForestRegression",
            "modelVersion": 1
          }
        },
        "number": 1,
        "description": "My Endpoint Version Description",
        "executionId": "62313ce67a0af0281c01a6a5",
        "label": 1
      },
      "description": "My Endpoint Description",
      "instructions": "Use the endpoint to generate text",
      "requestCount": 100
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

projectId
string

The project ID to filter by

registeredModelName
string

The registered model name to filter by

Response

Success

items
object[]
required